/* mass2energy.cpp computes energy from a given mass using
 * Einsteins mass-to-energy conversion equation.
 *
 * Input:        The mass (in kilograms) being converted to energy
 * Precondition: mass >= 0
 * Output:       The amount of energy (in kilojoules) corresponding
 *                  to mass
 *******************************************************************/

#include <iostream>                          // cin, cout, <<, >>
#include <cassert>                           // assert()
#include <cmath>                             // pow()
using namespace std;

int main()
{
   const double SPEED_OF_LIGHT = 2.997925e8; // meters/sec

   cout << "To find the amount of energy obtained from a given mass,\n"
           "enter a mass (in kilograms): ";
   double mass;
   cin >> mass;                              // get mass
   assert(mass >= 0);                            // make sure it's nonnegative 
                                             // compute energy
   double energy = mass * pow(SPEED_OF_LIGHT, 2);
                                             // display energy
   cout << mass << " kilograms of matter will release " 
        << energy << " kilojoules of energy.\n";



   return 0;
}
